Go Down

Topic: exit status 1.....maledetto (Read 1 time) previous topic - next topic

vince59

Scusate lo sfogo...ho tre notebook  uno con windows 10 o quello che è e due fidatissimi con XP...ora in maniera randomica con lo stesso codice, l'ide 1.6.12 su XP mi si blocca nella compilazione. Ieri ho provato la vecchia ide 1.0.5 ed ha funzionato regolarmente. Poi la 1.6.12 ha ripreso a funzionare e compilare...però mi manda inbestia sto fatto.
Ho provato i vari suggerimenti del ld.exe vecchio al posto di quello nuovo....cancellare  il collect2.exe (dava problemi anche questo).
Ma il problema qual'é? quale la spiegazione, se ci fosse e quale la soluzione tecnica appropriata?

Grazie...e Buon Natale

ExperimentUno

#1
Dec 22, 2016, 01:16 pm Last Edit: Dec 22, 2016, 01:16 pm by ExperimentUno
Il problema è ld.exe. Basta cambiare qualche linea dello sketch, che magari si compila.
Questa una risposta., oppure questa.
Ma se cerchi +arduino +"exit status 1" +compile in una ricerca ne trovi tanti. Anche su forum. Dovresti  cercare nelle versioni precedenti e sostituire a quello attuale. Ma potrei sbagliarmi, non ho esperienza diretta.

vbextreme

basta che copi il software "ld.exe" della 1.0.5 al posto di quello della 1.6.x
Easy framework linguaggio C: https://github.com/vbextreme/EasyFramework
Hack your life: http://vbextreme.netai.net/
Unoffical Telegram group: https://telegram.me/joinchat/ALRu8ACkdTdXyz-2P7v13A

vbextreme

invece di usare windows XP, ormai non piu supportato, perchè non installi una distro linux?
Easy framework linguaggio C: https://github.com/vbextreme/EasyFramework
Hack your life: http://vbextreme.netai.net/
Unoffical Telegram group: https://telegram.me/joinchat/ALRu8ACkdTdXyz-2P7v13A

astrobeed

perchè non installi una distro linux?
Magari perché non gli piace Linux e/o non è disponibile il software che deve usare per Linux, magari ha anche il problema che l'hardware è datato e non può installare Windows 7, oppure Windows 10.
Scientia potentia est

vbextreme

Magari perché non gli piace Linux e/o non è disponibile il software che deve usare per Linux, magari ha anche il problema che l'hardware è datato e non può installare Windows 7, oppure Windows 10.
Oramai sono veramente pochi i software non disponibili per gnu/linux, e ogni giorno diventano sempre meno, ma capita.
L'hardware datato non è mai stato un problema per gnu/linux, che riesce a girare anche con soli 4MiB di ram e 8MiB di hdd.

E nulla vieta di creare un dual boot ed usare XP per quelle poche applicazioni mancanti a GNU.
Il mio era un piccolo consiglio, naturalmente è libero di fare quello che gli pare, anche di andare a prendersi un Mac OsX
Easy framework linguaggio C: https://github.com/vbextreme/EasyFramework
Hack your life: http://vbextreme.netai.net/
Unoffical Telegram group: https://telegram.me/joinchat/ALRu8ACkdTdXyz-2P7v13A

astrobeed

Oramai sono veramente pochi i software non disponibili per gnu/linux, e ogni giorno diventano sempre meno, ma capita.
Te ne cito due che uso spesso e volentieri e non esistono alternative valide per Linux, sopratutto certificate per applicazioni di ingegneria, Rhinoceros e SolidWorks, ma anche il software che uso per acquisire le misure dalla mia strumentazione, per me di vitale importanza, non esiste per Linux.
Ovviamente tutto dipende da quello che uno deve fare col pc, se servono le solite cose Linux, preferibilmente una distro Debian, va benissimo.
Scientia potentia est

vbextreme

Te ne cito due che uso spesso e volentieri e non esistono alternative valide per Linux, sopratutto certificate per applicazioni di ingegneria, Rhinoceros e SolidWorks, ma anche il software che uso per acquisire le misure dalla mia strumentazione, per me di vitale importanza, non esiste per Linux.
Ovviamente tutto dipende da quello che uno deve fare col pc, se servono le solite cose Linux, preferibilmente una distro Debian, va benissimo.

Come dicevo prima alcune applicazioni mancano, altre le si può eseguire tranquillamente con WineHQ, altre ancora con VM o si può optare per un dual boot ed usare Windows solo dove non vi è altra possibilità.
Questo problema affligge anche gli utenti di MacOsx, speriamo che le grandi aziende continuino il porting verso tutti i s.o. in modo da lasciare libero l'utente di selezionare quello che più ci aggrada e non quello dove girano alcune applicazioni.
Easy framework linguaggio C: https://github.com/vbextreme/EasyFramework
Hack your life: http://vbextreme.netai.net/
Unoffical Telegram group: https://telegram.me/joinchat/ALRu8ACkdTdXyz-2P7v13A

dally

#8
Dec 23, 2016, 12:06 pm Last Edit: Dec 23, 2016, 12:36 pm by dally
Io ho lo stesso problema che diceva Astro: Apps che esistono solo su XP, o per Windows in generale e non su Linux Quindi, mi aiuta linux? No. Sopratutto quando Wine(1) non basta. O per lo zoccolo duro dell'I/O, o semplicemente perche' somatizzi limitazioni della GUI (2).

(1) p.e. sulla roba di strumentazione in lab. Per portarla su linux dovresti reversarla e scriverti tu le App. Ad aver tempo, voglia, se qualcuno ti pagasse per farlo.
(2) p.e. Protel99 ed Altium sotto Wine sono inutilizzabili.

dally

Tra l'altro anche le app come OpenOffice non sono veramente compatibili con i documenti Microsoft Office. Ti importa poco se fai documenti a tuo uso e consumo, diventa un vincolo quando lavori con gli uffici tecnici e devi rifarti ai formati che loro usano. Devi averlo, devi usarlo, e Da Wine e' tipo un dito nell'occhio.

Per tanta altra roba (anche articoli personali) uso LaTek, producendo in uscita documenti pdf. Pero' e' un caso particolare dove i clienti si aspettano un manuale navigabile.

vbextreme

#10
Dec 23, 2016, 12:25 pm Last Edit: Dec 23, 2016, 12:26 pm by vbextreme
LibreOffice è compatibile con Microsoft Office e viceversa, dopotutto i file odf sono diventati uno standard.
Laddove potrebbero esserci delle microincompatibilita si è sempre liberi di contattare gli sviluppatori e farsi correggere il bug.
Sono a stretto contatto con le amministrazioni comunali e non ho mai avuto nessuna sorta di problema.
Easy framework linguaggio C: https://github.com/vbextreme/EasyFramework
Hack your life: http://vbextreme.netai.net/
Unoffical Telegram group: https://telegram.me/joinchat/ALRu8ACkdTdXyz-2P7v13A

vince59

#11
Dec 23, 2016, 12:49 pm Last Edit: Dec 23, 2016, 12:52 pm by vince59
Apprezzo i vostri consigli. Faccio del PC un utilizzo amatoriale quindi non ho bisogno di macchine performanti. I sofwtare - non sempre originali lo ammetto - che utilizzo sono per manutenzione/diagnosi autovetture, editing files, elettronica ecc. insomma uno smanettone intermedio. Ho anche un notebook con windows 10, ci sto prendendo dimestichezza ma ci lavoro poco data la sua macchinosità. Dopo le ferie avrò tempo per dedicarmici maggiormente. i due notebook con XP seppur non supportato digeriscono TUTTO, si collegano con tutto...windows 10 mi spacca i marroni con mille avvertimenti, impostazioni della minch.. e cose del genere. Apple manco a parlarne.
Devo valutare Linux.

Per il caso specifico volevo una soluzione definitiva dato che pur avendo sostituito il file ld.exe nuovo con quello della vecchia IDE 1.0.5 credomi desse ancora bloccaggi randomici.
Eliminare il collect2.exe fa male?

vbextreme

#12
Dec 23, 2016, 12:55 pm Last Edit: Dec 23, 2016, 12:56 pm by vbextreme
Per qualsiasi problema, aiuto, o quattro chiacchiere, passa a salutarci su telegram, gruppo @genuino, o via link che trovi nella mia firma
Easy framework linguaggio C: https://github.com/vbextreme/EasyFramework
Hack your life: http://vbextreme.netai.net/
Unoffical Telegram group: https://telegram.me/joinchat/ALRu8ACkdTdXyz-2P7v13A

dally

LibreOffice è compatibile con Microsoft Office e viceversa
Nella tua testa se lo usi solo per cose banali, peccato che chi lo usa seriamente per lavoro sa benissimo che non e' affatto cosi'.

vbextreme

#14
Dec 23, 2016, 01:12 pm Last Edit: Dec 23, 2016, 01:14 pm by vbextreme
Il 2000 è finito da 16 anni, ciao ciao
P.s. non sapevi nemmeno che si chiamasse libreoffice
Easy framework linguaggio C: https://github.com/vbextreme/EasyFramework
Hack your life: http://vbextreme.netai.net/
Unoffical Telegram group: https://telegram.me/joinchat/ALRu8ACkdTdXyz-2P7v13A

Go Up